DBVIEW(1)

NAME
dbview - View dBase III files

SYNOPSIS
dbview [-b|--browse] [-d delim| --delimiter delim] [-D|--deleted] [-e|--description] [-h|--help] [-i|--info] [-o|--omit] [-v|--version] [-r|--reserve] [-t|--trim] dbfile

DESCRIPTION
Dbview is a little tool that will display dBase III files. You can also use it to convert your old .dbf files for further use with Unix. It should also work with dBase IV files, but this is mostly untested.

By default dbview displays the contents of a dBase III or IV database file. This is be done by displaying both the name of the field itself and its value. At the end of every record a newline is appended.

OPTIONS
If no option given dbview only displays the database in its most friendly way.

--browse, -b
    switches into browse mode. Using this mode no fieldnames will be displayed, instead every record will displayed in one line using a delimiter to separate fields.

--delimiter, -d delimiter
    The default delimiter in browse mode is the colon sign ``:''. This parameter overrides it. This can be useful especially if you plan to examine the output with scripts.

--deleted, -D
    displays deleted records as well as the delete state in each record in the database.

--description, -e
    displays the field description of the database.

--help, -h
    displays a complete (or short) help screen.

--info, -i
    displays some (partially technical) information about the database like number of records and length of each record.

--omit, -o
    omits displaying the whole database. Using this parameter can be useful if you're only interested in the structure.

--reserve, -r
    Normally fieldnames are converted into a more friendly format. They are stored in capital letters, but that looks like shouting. This parameter suppresses the conversion.

--trim, -t
    When this option is specified, leading and trailing spaces are omitted. This might be useful when in browse mode.

--version, -v
    displays version and exits.

NOTES
As dBase is DOS, umlauts are stored using a different code table (namely ASCII) than most modern unices (namely ANSI). If you encounter such a file, I would recommend piping the output through recode(1) with ibmpc:latin1 as it's argument.

If you want to examine the output generated by the browse mode, just take cut(1) and set its delimiter to the used delimiter or take awk(1) and continue.

COPYRIGHT
Dbview is free software. It is based on routines from unknown source that I found on nic.funet.fi in /pub/msdos/languages/c as dbase.c. The file contained the following notice:

These functions are provided by Valour Software as a gift.

I have modified and included this file and wrote a skeleton around it. All together provides a powerful tool for dBase III and IV database manipulation under Unix.

I mainly have written this program, because I've got several dbase files containing important information for me. As I won't go running DOS every time I need some of the stored information, I had to find a viewer that runs unter Unix, resp. Linux, but unfortunately didn't find one. So it was my turn.

This package as a whole is published under the GNU Public License, which is a great invention.

It wasn't the intention to write a freaking viewer and reinvent the wheel again. Instead dbview is intend to be used in conjunction with your favourite unix text utilities like cut, recode and more.

Martin Schulze
Infodrom Oldenburg
joey@infodrom.north.de

SEE ALSO
recode(1), more(1), awk(1), cut(1).